GNU bug report logs - #17943
parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Curtis Gedak <gedakc@HIDDEN>; dated Sat, 5 Jul 2014 02:29:01 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 19 Aug 2014 16:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 19 12:22:33 2014
Received: from localhost ([127.0.0.1]:47565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XJmB6-0004sQ-Vk
	for submit <at> debbugs.gnu.org; Tue, 19 Aug 2014 12:22:33 -0400
Received: from world.peace.net ([96.39.62.75]:51087 ident=hope5)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mhw@HIDDEN>) id 1XJmB3-0004sE-RO
 for 17943 <at> debbugs.gnu.org; Tue, 19 Aug 2014 12:22:30 -0400
Received: from pool-74-104-33-122.bstnma.east.verizon.net ([74.104.33.122]
 helo=yeeloong.lan)
 by world.peace.net with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <mhw@HIDDEN>)
 id 1XJmAs-0005dW-7B; Tue, 19 Aug 2014 12:22:22 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>
 <handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
 <53C8256C.7040303@HIDDEN> <53CD1679.8020801@HIDDEN>
 <53CD40B8.1030805@HIDDEN> <53CE69E9.4080801@HIDDEN>
 <877g2pnq1b.fsf@HIDDEN> <53F3610F.9060407@HIDDEN>
 <87vbpompg4.fsf@HIDDEN>
Date: Tue, 19 Aug 2014 12:20:31 -0400
In-Reply-To: <87vbpompg4.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 
 19 Aug 2014 12:09:15 -0400")
Message-ID: <87r40cmoxc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17943
Cc: 17943 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Mark H Weaver <mhw@HIDDEN> writes:

> Phillip Susi <psusi@HIDDEN> writes:
>
>> On 8/3/2014 6:53 PM, Mark H Weaver wrote:
>>> parted-3.2 fails the same test when built on GNU Guix because the 
>>> "C.UTF-8" locale is not available (see below).  Changing 
>>> t0251-gpt-unicode.sh to use "en_US.UTF-8" fixes the problem.
>>
>> What?  It should not be possible to not have the C locale; it is the
>> native, untranslated locale and is the fallback locale used whenever
>> the chosen locale is missing or incomplete.
>
> Upstream GNU libc includes a "C" locale which is limited to ASCII.
> However, it does not include a "C.UTF-8" locale.  See this discussion:
>
>   https://bugzilla.redhat.com/show_bug.cgi?id=902094
>
> GNU Guix uses upstream GNU libc, so it doesn't have "C.UTF-8" either.

More details: Debian added "C.UTF-8" to their glibc package starting
with 2.13-1, and that was picked up by Ubuntu.  However, it is not in
upstream glibc, and it appears that many other popular distros including
Fedora and Arch don't have "C.UTF-8" either.

  https://bugs.archlinux.org/task/32296

     Mark




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 19 Aug 2014 16:11:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 19 12:11:26 2014
Received: from localhost ([127.0.0.1]:47558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XJm0L-0004bh-FR
	for submit <at> debbugs.gnu.org; Tue, 19 Aug 2014 12:11:25 -0400
Received: from world.peace.net ([96.39.62.75]:51080 ident=hope4)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mhw@HIDDEN>) id 1XJm0J-0004bY-E6
 for 17943 <at> debbugs.gnu.org; Tue, 19 Aug 2014 12:11:24 -0400
Received: from pool-74-104-33-122.bstnma.east.verizon.net ([74.104.33.122]
 helo=yeeloong.lan)
 by world.peace.net with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <mhw@HIDDEN>)
 id 1XJlzt-0005aQ-AM; Tue, 19 Aug 2014 12:11:02 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>
 <handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
 <53C8256C.7040303@HIDDEN> <53CD1679.8020801@HIDDEN>
 <53CD40B8.1030805@HIDDEN> <53CE69E9.4080801@HIDDEN>
 <877g2pnq1b.fsf@HIDDEN> <53F3610F.9060407@HIDDEN>
Date: Tue, 19 Aug 2014 12:09:15 -0400
In-Reply-To: <53F3610F.9060407@HIDDEN> (Phillip Susi's message of "Tue, 19
 Aug 2014 10:37:03 -0400")
Message-ID: <87vbpompg4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17943
Cc: 17943 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Phillip Susi <psusi@HIDDEN> writes:

> On 8/3/2014 6:53 PM, Mark H Weaver wrote:
>> parted-3.2 fails the same test when built on GNU Guix because the 
>> "C.UTF-8" locale is not available (see below).  Changing 
>> t0251-gpt-unicode.sh to use "en_US.UTF-8" fixes the problem.
>
> What?  It should not be possible to not have the C locale; it is the
> native, untranslated locale and is the fallback locale used whenever
> the chosen locale is missing or incomplete.

Upstream GNU libc includes a "C" locale which is limited to ASCII.
However, it does not include a "C.UTF-8" locale.  See this discussion:

  https://bugzilla.redhat.com/show_bug.cgi?id=902094

GNU Guix uses upstream GNU libc, so it doesn't have "C.UTF-8" either.

   Regards,
     Mark




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 19 Aug 2014 14:37:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 19 10:37:27 2014
Received: from localhost ([127.0.0.1]:47510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XJkXP-00011r-53
	for submit <at> debbugs.gnu.org; Tue, 19 Aug 2014 10:37:27 -0400
Received: from mail-yk0-f171.google.com ([209.85.160.171]:33719)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <phillsusi@HIDDEN>) id 1XJkXM-00011b-Ph
 for 17943 <at> debbugs.gnu.org; Tue, 19 Aug 2014 10:37:25 -0400
Received: by mail-yk0-f171.google.com with SMTP id 19so5442908ykq.2
 for <17943 <at> debbugs.gnu.org>; Tue, 19 Aug 2014 07:37:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=nXDPraDRPjI3Q5+ciAq2iVjOW3fUBDdTKT+aCnlTBkA=;
 b=UrbcBWKg1T81j/lCom7ZqCLothTOqhYcgqyP35Hx/MaIljPtEXRkk49WZ0Qgr/inyu
 zb9w610AorjOTzPaJCCmdGjee47216xdLBThqzNDQ1QRO4RhwrKKOaaZPADMe1HuXUtR
 jgcX1Uxj6+9oKJQc1fxpedh5TzrCLJtdTRRRfoCi3mfAB01zTlFR0n2Z0oHbVV+xwuHb
 YgGOpi+UZiRIhsFLqYNYKS2NYBa+rEgsfvK/qzGAEUOXpNYsYugGskQqfUVr+F+93Ijx
 QODzTOhSjyTzZwCrKnoVgCxvO+1tmGHvuUYJhkxwBBT8v/GxfbFB0wyFpmIzt5r4xGP/
 U6hA==
X-Received: by 10.236.85.10 with SMTP id t10mr60923387yhe.86.1408459039067;
 Tue, 19 Aug 2014 07:37:19 -0700 (PDT)
Received: from [10.1.1.202] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by mx.google.com with ESMTPSA id
 m23sm9633244yhi.44.2014.08.19.07.37.18 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Tue, 19 Aug 2014 07:37:18 -0700 (PDT)
Message-ID: <53F3610F.9060407@HIDDEN>
Date: Tue, 19 Aug 2014 10:37:03 -0400
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>	<handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>	<53C8256C.7040303@HIDDEN>
 <53CD1679.8020801@HIDDEN>	<53CD40B8.1030805@HIDDEN>
 <53CE69E9.4080801@HIDDEN> <877g2pnq1b.fsf@HIDDEN>
In-Reply-To: <877g2pnq1b.fsf@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17943
Cc: 17943 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 8/3/2014 6:53 PM, Mark H Weaver wrote:
> parted-3.2 fails the same test when built on GNU Guix because the 
> "C.UTF-8" locale is not available (see below).  Changing 
> t0251-gpt-unicode.sh to use "en_US.UTF-8" fixes the problem.

What?  It should not be possible to not have the C locale; it is the
native, untranslated locale and is the fallback locale used whenever
the chosen locale is missing or incomplete.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJT82EPAAoJEI5FoCIzSKrwcWcH/3+/qIWTcjotOgbtw5SxAuiB
9edWOPZQum2SetOfSWjXTxz0SAgTvsPySP3GJbB7TIzOfDGvJTFgQPZdCrcNkji0
kuvNDWfbmcsy5QTFDvqIjhZpzuKL7OBwfnqR29hdTlk6bZOo2XgrcuUsjNHfjQXA
zHRom7kCXp0FUQfMEs6Osa611jv4ehE87bRka+n7VTwLL2ZyIvEYGRsY3Uf6KquM
fn3KaWBPyQmEuGxoji7SHDMOVNQ27bkRsONXuJQ8eNOk0YftPFfRupyr75DzN+9a
HwjMz1Aju9IIkCobJTRz9PW4EdSa7GT7PbPdZPjLYaOrz6Xlh1qyqRHvc1u4naI=
=gPOx
-----END PGP SIGNATURE-----




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 3 Aug 2014 22:54:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 03 18:54:39 2014
Received: from localhost ([127.0.0.1]:56372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XE4fn-0004mn-14
	for submit <at> debbugs.gnu.org; Sun, 03 Aug 2014 18:54:39 -0400
Received: from world.peace.net ([96.39.62.75]:60402 ident=hope5)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mhw@HIDDEN>) id 1XE4fk-0004me-Uv
 for 17943 <at> debbugs.gnu.org; Sun, 03 Aug 2014 18:54:37 -0400
Received: from c-24-62-95-23.hsd1.ma.comcast.net ([24.62.95.23]
 helo=yeeloong.lan)
 by world.peace.net with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <mhw@HIDDEN>)
 id 1XE4fP-0002Iq-29; Sun, 03 Aug 2014 18:54:15 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Phillip Susi <psusi@HIDDEN>
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>
 <handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
 <53C8256C.7040303@HIDDEN> <53CD1679.8020801@HIDDEN>
 <53CD40B8.1030805@HIDDEN> <53CE69E9.4080801@HIDDEN>
Date: Sun, 03 Aug 2014 18:53:36 -0400
In-Reply-To: <53CE69E9.4080801@HIDDEN> (Phillip Susi's message of "Tue, 22
 Jul 2014 09:40:57 -0400")
Message-ID: <877g2pnq1b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17943
Cc: Curtis Gedak <gedakc@HIDDEN>, 17943 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Phillip Susi <psusi@HIDDEN> writes:

> On 7/21/2014 12:32 PM, Curtis Gedak wrote:
>> This error is likely not a great concern, though I should mention
>> that this is a stock install of Debian 7 from the 
>> debian-7.0.0-i386-xfce-CD-1.iso where I selected "Canada" as the 
>> country.  I suspect that not all locales are installed by default
>> (e.g., en_US.UTF-8).  Hence the test might fail on any default
>> non-US installation.
>
> I had assumed you were using en_US.UTF-8 and so something was broken
> with your install, but since you said you were using Canada, I looked
> at the script again and realized that I did explicitly select
> en_US.UTF-8.  I'm not sure why I did that now and will need to take
> another look at it; perhaps I should have used C.UTF-8...

parted-3.2 fails the same test when built on GNU Guix because the
"C.UTF-8" locale is not available (see below).  Changing
t0251-gpt-unicode.sh to use "en_US.UTF-8" fixes the problem.

--8<---------------cut here---------------start------------->8---
mhw:~$ cat test.c
#include <locale.h>
#include <stdio.h>

int
main (int argc, char *argv[])
{
  char *desired_locale = argv[1];
  char *result = setlocale (LC_ALL, desired_locale);

  printf ("setlocale (LC_ALL, \"%s\") => ", desired_locale);
  if (result)
    printf ("\"%s\"\n", result);
  else
    printf ("NULL\n");
  return 0;
}

mhw:~$ gcc -o test test.c
mhw:~$ ./test C.UTF-8
setlocale (LC_ALL, "C.UTF-8") => NULL
mhw:~$ ./test en_US.UTF-8
setlocale (LC_ALL, "en_US.UTF-8") => "en_US.UTF-8"
--8<---------------cut here---------------end--------------->8---

GNU Guix uses glibc-2.19 with almost no modifications, and includes the
default set of locales installed by "make localedata/install-locales".
See <http://hydra.gnu.org/job/gnu/master/glibc-2.19.x86_64-linux> for
build logs of our glibc.

    Regards,
      Mark




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 22 Jul 2014 13:41:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 22 09:41:44 2014
Received: from localhost ([127.0.0.1]:34438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X9aK8-0006at-6K
	for submit <at> debbugs.gnu.org; Tue, 22 Jul 2014 09:41:44 -0400
Received: from mail-yk0-f176.google.com ([209.85.160.176]:56873)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <phillsusi@HIDDEN>)
 id 1X9aK4-0006aX-IT; Tue, 22 Jul 2014 09:41:41 -0400
Received: by mail-yk0-f176.google.com with SMTP id 19so4875005ykq.35
 for <multiple recipients>; Tue, 22 Jul 2014 06:41:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=7lw305MzUHNVSiMykuFS4Y8wWpvZTHf3wH3QllrPzCk=;
 b=ui6VaQr8Cq87VQW0X8WwgEe8qko5k7ML5Az1eg20XPm30RZGtau6itfTWlu+An8quB
 dW6jwyG0ecHx+rTwgJ0bDLqkwOSsRwJIvO0ci0oblXOp2WWdo879PoVzLarpDyE5JJXr
 0P+GhgHn7FnK8GFme07Ydd+hVGRKULKhBCfAJFeF1PlwBpfpxsTzPVMKMla3i9yHE2e6
 /PbAY2gsEFkbv/eAzgSw00sX0MehVwG7lx+b2EOmnaiwnazroU0Tp6WpX4rs2VwkMrWl
 l9ceuPtcZnh00Po3EyGT1d7W9kfb4FyGDh+lphhUZtRq19o7M1U3X6Oib5HjU5kasRcc
 iiEg==
X-Received: by 10.236.228.40 with SMTP id e38mr51084954yhq.76.1406036494678;
 Tue, 22 Jul 2014 06:41:34 -0700 (PDT)
Received: from [10.1.1.202] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by mx.google.com with ESMTPSA id
 v43sm841108yhj.18.2014.07.22.06.41.33 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Tue, 22 Jul 2014 06:41:34 -0700 (PDT)
Message-ID: <53CE69E9.4080801@HIDDEN>
Date: Tue, 22 Jul 2014 09:40:57 -0400
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Curtis Gedak <gedakc@HIDDEN>, 17943 <at> debbugs.gnu.org
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>	<handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>	<53C8256C.7040303@HIDDEN>
 <53CD1679.8020801@HIDDEN> <53CD40B8.1030805@HIDDEN>
In-Reply-To: <53CD40B8.1030805@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17943
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reopen 17943
thanks

On 7/21/2014 12:32 PM, Curtis Gedak wrote:
> This error is likely not a great concern, though I should mention
> that this is a stock install of Debian 7 from the 
> debian-7.0.0-i386-xfce-CD-1.iso where I selected "Canada" as the 
> country.  I suspect that not all locales are installed by default
> (e.g., en_US.UTF-8).  Hence the test might fail on any default
> non-US installation.

I had assumed you were using en_US.UTF-8 and so something was broken
with your install, but since you said you were using Canada, I looked
at the script again and realized that I did explicitly select
en_US.UTF-8.  I'm not sure why I did that now and will need to take
another look at it; perhaps I should have used C.UTF-8...


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJTzmnpAAoJEI5FoCIzSKrw/tgH/if5WaswusmRcq1OF7eRRkhf
UhaU9HNEWLdt8GxKX6tCX/b+W/7b5sQwIhAPq51q4slbV9q2kxqAPzGHSUYqqxog
szXae1tZGbCHuAXXJTZXwLlohWjKal7DOgwCN1q2EFx5pm8LYPULp0q4RfGvhPod
+lH3nwyNA5EQNREZ+YhRKJ9g6G5uFZtT2GopDKXkwMb8oS8141At1+ioxbYpAFot
BdFuJVuF0aYJ2NZxmA/6lYahLVhD2Ah0p3aasB5bgfpxhYbhfFbT1BWatuUP4dPA
ViNWhLz33r9cGxEB3i08V9ACkJTM00S4TLyJHiiOnUwbAJyC0ELeXvLqdRJ73a0=
=HBwB
-----END PGP SIGNATURE-----




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at 17943-done <at> debbugs.gnu.org:


Received: (at 17943-done) by debbugs.gnu.org; 21 Jul 2014 16:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 21 12:33:15 2014
Received: from localhost ([127.0.0.1]:33531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X9GWU-0006xa-Nc
	for submit <at> debbugs.gnu.org; Mon, 21 Jul 2014 12:33:15 -0400
Received: from mail-ie0-f181.google.com ([209.85.223.181]:42857)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gedakc@HIDDEN>) id 1X9GWO-0006wx-0c
 for 17943-done <at> debbugs.gnu.org; Mon, 21 Jul 2014 12:33:08 -0400
Received: by mail-ie0-f181.google.com with SMTP id rp18so7025517iec.12
 for <17943-done <at> debbugs.gnu.org>; Mon, 21 Jul 2014 09:32:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject:references
 :in-reply-to:content-type:content-transfer-encoding;
 bh=jgku9FajFB26sjHqr/cCzs7HNZEJl0Yoa7rmTFtda3Q=;
 b=erNtVHeBirmMiWkvMa2GjRnHhChCFbXKMUbsbEQQKaSjGn3Qi08msY+Que3LqkIlWm
 Q5bQZj0yax6cshT4jB2P+PIhLLe19wOhAaGbY8p5LUb/ZdtqRJ4ucOvF15PT7+Z7FVj2
 Hq1xRzcxk4r0CG2m7pB2mupWDtyVI6EIau2CKNYnD9ks/5QmWJ103vZnS1munYH55vDe
 I5gDr4PwfYrnpEnR4uVZZPt0T0UIicy4n/OrFegEb51KtkdPQ2mlCrGmDnxsHdrjss7z
 1SuLKzKlLF5y9c27Po4yNPmwCv60Uz6vyEPHmeWo7EwaLnzE1WWNEgBh2L62ZOIP2Y8z
 BBmg==
X-Received: by 10.50.164.202 with SMTP id ys10mr3526369igb.6.1405960378224;
 Mon, 21 Jul 2014 09:32:58 -0700 (PDT)
Received: from [192.168.1.53] ([108.181.133.135])
 by mx.google.com with ESMTPSA id z12sm40070015igu.11.2014.07.21.09.32.57
 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 21 Jul 2014 09:32:57 -0700 (PDT)
Message-ID: <53CD40B8.1030805@HIDDEN>
Date: Mon, 21 Jul 2014 10:32:56 -0600
From: Curtis Gedak <gedakc@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Phillip Susi <psusi@HIDDEN>, 17943-done <at> debbugs.gnu.org
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>	<handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
 <53C8256C.7040303@HIDDEN> <53CD1679.8020801@HIDDEN>
In-Reply-To: <53CD1679.8020801@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17943-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


On 14-07-21 07:32 AM, Phillip Susi wrote:
> You have a bunch of errors like this:
>
> warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No
> such file or directory
>
> So it looks like something is broken in your vm that is preventing
> apps from using UTF-8.

Hi Phillip,

This error is likely not a great concern, though I should mention that 
this is a stock install of Debian 7 from the 
debian-7.0.0-i386-xfce-CD-1.iso where I selected "Canada" as the 
country.  I suspect that not all locales are installed by default (e.g., 
en_US.UTF-8).  Hence the test might fail on any default non-US installation.

Curtis





Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at 17943-done <at> debbugs.gnu.org:


Received: (at 17943-done) by debbugs.gnu.org; 21 Jul 2014 13:33:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 21 09:33:28 2014
Received: from localhost ([127.0.0.1]:32989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X9DiV-0008VR-OS
	for submit <at> debbugs.gnu.org; Mon, 21 Jul 2014 09:33:27 -0400
Received: from mail-yk0-f175.google.com ([209.85.160.175]:37985)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <phillsusi@HIDDEN>) id 1X9DiN-0008V4-Ia
 for 17943-done <at> debbugs.gnu.org; Mon, 21 Jul 2014 09:33:19 -0400
Received: by mail-yk0-f175.google.com with SMTP id q200so3780157ykb.6
 for <17943-done <at> debbugs.gnu.org>; Mon, 21 Jul 2014 06:33:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=+jhMjQ9aJSZmiSGzhNdYJPCyaKczj0Y7bhqjicBOiUg=;
 b=z8mE+cTcoq6txfMSz0MJihlOxj2crO1MMvcUmEfswCharhATU/FZgea3rExH1X6isr
 +gmvAT6YMwYXxm4Db3558iPh6HzFvZCZdL3NDsthc9/gKdxKSLP0zNi//InrcSholTBc
 gc/5kg/AvivqjsPeuuUx83rUX2dZx6fjKHMxgTH2oINPW0QLv9bXkqyGDWvOm/ML7cbg
 9ZhXuFL9e1uTh+Y5EYs0HVzp3pX4Y77NqZLkuHnyNxEM/4/Bieypx1/6RihVYw7+2ukX
 LbXD6n0bmgAIS6eVH+L9XeChEqRWNHlkyYzpL2JfEHrASLBOhbqnl2IPAIV4UolC5wk8
 KTzg==
X-Received: by 10.236.140.16 with SMTP id d16mr40609208yhj.55.1405949589887;
 Mon, 21 Jul 2014 06:33:09 -0700 (PDT)
Received: from [10.1.1.202] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by mx.google.com with ESMTPSA id
 l45sm7146576yhg.55.2014.07.21.06.33.09 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Mon, 21 Jul 2014 06:33:09 -0700 (PDT)
Message-ID: <53CD1679.8020801@HIDDEN>
Date: Mon, 21 Jul 2014 09:32:41 -0400
From: Phillip Susi <psusi@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Curtis Gedak <gedakc@HIDDEN>, 17943-done <at> debbugs.gnu.org
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>	<handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
 <53C8256C.7040303@HIDDEN>
In-Reply-To: <53C8256C.7040303@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17943-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 7/17/2014 3:35 PM, Curtis Gedak wrote:
> Hi Phillip,
> 
> In my Debian 7 VM I ran 'apt-get update' and 'apt-get upgrade' to
> ensure that I had the latest packages.
> 
> Next I removed the entire parted-3.1.90 directory, rebuilt parted,
> and then ran 'make check' as root again.  The same error occurs.
> 
> Attached is the log (t0251-gpt-unicode.log) as requested in:


You have a bunch of errors like this:

warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No
such file or directory

So it looks like something is broken in your vm that is preventing
apps from using UTF-8.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJTzRZ5AAoJEI5FoCIzSKrwY2oH/AiU3tiIf0SHSptUtrjVdaEQ
SHu/qrWDAgQaVquBHXbgdyg492S3WZQu2DI2DDwyBH4jl1cWs4yZ/qFiFxTWZ/yI
vkDRmhSBTjoe2KTTCVYtq7Zl5iqt0DFPnZuRltSHD6uGE9ECAA1JTax2B+Y953ca
FP8t9l4LZwbkgV2V7UAwG6MF8UCndDXzNUO8payWppZfBvA0SDZHSmnLCNlRl6Bf
AV82clN2GzvIO6fMMuPSaqqzZZMRXvcw8ao769J9eCxVBZuPH9Tjn8RDiBt1kv+h
RB5HbZm3ibe1fFfh9bsNE4FjWUTn01Xy2k4az11vBmvJGfUws9eCMh4KJbpQPkk=
=Dikf
-----END PGP SIGNATURE-----




Notification sent to Curtis Gedak <gedakc@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Phillip Susi <psusi@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 17943 <at> debbugs.gnu.org:


Received: (at 17943) by debbugs.gnu.org; 17 Jul 2014 19:35:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 17 15:35:27 2014
Received: from localhost ([127.0.0.1]:57544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X7rSc-0003Gg-VI
	for submit <at> debbugs.gnu.org; Thu, 17 Jul 2014 15:35:26 -0400
Received: from mail-ie0-f173.google.com ([209.85.223.173]:49931)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gedakc@HIDDEN>) id 1X7rSX-0003GP-FO
 for 17943 <at> debbugs.gnu.org; Thu, 17 Jul 2014 15:35:21 -0400
Received: by mail-ie0-f173.google.com with SMTP id tr6so3673900ieb.32
 for <17943 <at> debbugs.gnu.org>; Thu, 17 Jul 2014 12:35:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject:references
 :in-reply-to:content-type;
 bh=vFTqDWG8ewChxGoOuLXBqME0xG+jAgdvOGfqhz48hCY=;
 b=yjvXUcc8fgMnG8PfiCVIihjvfJmia7KPBQsH0jqV1Lb5ypkMR/sPOP6zwILroIKHt9
 2P4Um9tIzCIazmILeVn9D0J1g9LVYGoSWzWBCfpAADLggurFvg9vzfWVlUEzoKX5C650
 VLiUeIcPV2kXTq44Hj+P1XN/1BXGjsM4TzRNIjjAYfBced3nhSHpdf1AfU5k4Gjwbo6f
 MDZFjGYsQkHEMSkzVOcM53y+S2krz5TeoRVA+ymaXBx45hgdrBc8f0YFge6sIzml2HaQ
 NISfWMayGzmG8S9iEWm6tUl7bjVZqv0LKfJbjryslTswG9/nkxzMm217JoSzsb4AfyJ2
 y3jQ==
X-Received: by 10.43.69.202 with SMTP id yd10mr689762icb.36.1405625711558;
 Thu, 17 Jul 2014 12:35:11 -0700 (PDT)
Received: from [192.168.1.53] ([108.181.133.135])
 by mx.google.com with ESMTPSA id nl7sm11647299igb.2.2014.07.17.12.35.09
 for <17943 <at> debbugs.gnu.org>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Thu, 17 Jul 2014 12:35:10 -0700 (PDT)
Message-ID: <53C8256C.7040303@HIDDEN>
Date: Thu, 17 Jul 2014 13:35:08 -0600
From: Curtis Gedak <gedakc@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: 17943 <at> debbugs.gnu.org
Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode
 on Debian 7
References: <53B75912.7060102@HIDDEN>
 <handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.17943.B.140452729717991.ack <at> debbugs.gnu.org>
Content-Type: multipart/mixed; boundary="------------070509090104020303030702"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17943
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.
--------------070509090104020303030702
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi Phillip,

In my Debian 7 VM I ran 'apt-get update' and 'apt-get upgrade' to ensure 
that I had the latest packages.

Next I removed the entire parted-3.1.90 directory, rebuilt parted, and 
then ran 'make check' as root again.  The same error occurs.

Attached is the log (t0251-gpt-unicode.log) as requested in:

[parted-devel] [PATCH] Bump library REVISION number for release
http://lists.alioth.debian.org/pipermail/parted-devel/2014-July/004549.html

Regards,
Curtis

On 14-07-04 07:46 PM, Curtis Gedak wrote:
> Following is some information from running "make check" both as a 
> normal user and as root:
>
> DEBIAN 7 - 32 bit
> =================
>
> $ make check
> <snip>
> ============================================================================ 
>
> Testsuite summary for GNU parted 3.1.90
> ============================================================================ 
>
> # TOTAL: 78
> # PASS:  39
> # SKIP:  38
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0
> ============================================================================ 
>
> See tests/test-suite.log
> Please report to bug-parted@HIDDEN
> ============================================================================ 
>
>
> $ grep FAIL tests/test-suite.log
> # XFAIL: 0
> # FAIL:  1
> FAIL: t0251-gpt-unicode
>
>
> # make check
> <snip>
> PASS: t8000-loop.sh
> PASS: t8001-loop-blkpg.sh
> t9010-big-sector.sh rmmod scsi_debug...
> PASS: t9010-big-sector.sh
> t9020-alignment.sh rmmod scsi_debug...
> PASS: t9020-alignment.sh
> PASS: t9021-maxima.sh
> PASS: t9022-one-unit-snap.sh
> PASS: t9023-value-lt-one.sh
> t9030-align-check.sh /dev/sdc1 failed to disappear
> t9030-align-check.sh /dev/sdc1 failed to disappear
> t9030-align-check.sh /dev/sdc1 failed to disappear
> ....

--------------070509090104020303030702
Content-Type: text/plain; charset=UTF-8;
 name="t0251-gpt-unicode.log"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="t0251-gpt-unicode.log"
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--------------070509090104020303030702--




Information forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jul 2014 02:28:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 04 22:28:17 2014
Received: from localhost ([127.0.0.1]:43292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X3Fi3-0004g5-Vw
	for submit <at> debbugs.gnu.org; Fri, 04 Jul 2014 22:28:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60935)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4S-0003hK-58
 for submit <at> debbugs.gnu.org; Fri, 04 Jul 2014 21:47:20 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4I-0005qy-Vi
 for submit <at> debbugs.gnu.org; Fri, 04 Jul 2014 21:47:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55522)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4I-0005qs-SN
 for submit <at> debbugs.gnu.org; Fri, 04 Jul 2014 21:47:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34351)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4E-00081H-K2
 for bug-parted@HIDDEN; Fri, 04 Jul 2014 21:47:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4A-0005oA-Lm
 for bug-parted@HIDDEN; Fri, 04 Jul 2014 21:47:06 -0400
Received: from mail-ig0-x229.google.com ([2607:f8b0:4001:c05::229]:53550)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gedakc@HIDDEN>) id 1X3F4A-0005no-GF
 for bug-parted@HIDDEN; Fri, 04 Jul 2014 21:47:02 -0400
Received: by mail-ig0-f169.google.com with SMTP id c1so8858176igq.0
 for <bug-parted@HIDDEN>; Fri, 04 Jul 2014 18:47:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=message-id:date:from:user-agent:mime-version:to:subject
 :content-type:content-transfer-encoding;
 bh=htvJquwQYg3M1Rfv1TXB91Mr7cm5GIa4KaCHs5uTyeU=;
 b=VbQoob7EYsw/Jyb28zCYefvmM/Ixv4907DCP7tQcHix7aqUQB+jjCX1rRTAbr6i7Ah
 Gpq+VFC7slwiXMaocML7bKminfdFwYcY85UWR0aKoO0Gvwtp5pEiwBI2uvmBcYsBj1CD
 j12nM1H5QlCGFsHv7axbwniWz/qx5cEPOTc6ScWA9w/TUuvSAKgnZrxRkBfDVMXhiyzw
 2rOJTEyObvggU2xxZ//LIrh+T4PWcKFYvocWbLa3S+7QEGv7dt2iEBwmOf524d/4JAHx
 lqxGFyqlAso/Nd1LfbxXIk8ENcOVPYPa13CMCEnj9eYWJscopEoTXf3bAHYGB3H/KOQb
 QhGw==
X-Received: by 10.50.18.76 with SMTP id u12mr8649500igd.13.1404524821261;
 Fri, 04 Jul 2014 18:47:01 -0700 (PDT)
Received: from [192.168.1.53] ([108.181.133.135])
 by mx.google.com with ESMTPSA id y8sm67245047igg.5.2014.07.04.18.46.59
 for <bug-parted@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-RC4-SHA bits=128/128);
 Fri, 04 Jul 2014 18:47:00 -0700 (PDT)
Message-ID: <53B75912.7060102@HIDDEN>
Date: Fri, 04 Jul 2014 19:46:58 -0600
From: Curtis Gedak <gedakc@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: "'bug-parted@HIDDEN'" <bug-parted@HIDDEN>
Subject: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian
 7
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 04 Jul 2014 22:28:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

First, thank you for working towards another parted release.  It's been 
quite a while since the last one so I appreciate your efforts.

To try to get this next parted release as bug free as possible I will 
test it across a number of distros that we use for GParted testing.  The 
source tarball I am using is the parted-3.1.90 alpha release from 
http://alpha.gnu.org/gnu/parted/

Following is some information from running "make check" both as a normal 
user and as root:

DEBIAN 7 - 32 bit
=================

$ make check
<snip>
============================================================================
Testsuite summary for GNU parted 3.1.90
============================================================================
# TOTAL: 78
# PASS:  39
# SKIP:  38
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-parted@HIDDEN
============================================================================

$ grep FAIL tests/test-suite.log
# XFAIL: 0
# FAIL:  1
FAIL: t0251-gpt-unicode


# make check
<snip>
PASS: t8000-loop.sh
PASS: t8001-loop-blkpg.sh
t9010-big-sector.sh rmmod scsi_debug...
PASS: t9010-big-sector.sh
t9020-alignment.sh rmmod scsi_debug...
PASS: t9020-alignment.sh
PASS: t9021-maxima.sh
PASS: t9022-one-unit-snap.sh
PASS: t9023-value-lt-one.sh
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
....


This is report is from the first distro I used in testing 
parted-3.1.90.  If you need additional information then just let me know.

Regards,
Curtis Gedak





Acknowledgement sent to Curtis Gedak <gedakc@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#17943; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.